## GogStyledObject GogStyledObject |

## Synopsis

    #include <goffice/graph/gog-styled-object.h>

                        GogStyle;
                        GogStyledObject;
                        GogStyledObjectClass;

## Object Hierarchy

      GObject
       +----GOStyle
             +----GogStyle

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogOutlinedObject
                   +----GogTrendLine
                   +----GogAxisBase
                   +----GogGridLine
                   +----GogSeriesLines
                   +----GogGrid
                   +----GogSeries

## Implemented Interfaces

GogStyle implements GOPersist.

GogStyledObject implements GOStyledObject.

## Properties

      "style"                    GogStyle*             : Read / Write

## Signals

      "style-changed"                                  : Run Last

## Description

## Details

### GogStyle

    typedef struct _GogStyle GogStyle;

### GogStyledObject

    typedef struct _GogStyledObject GogStyledObject;

### GogStyledObjectClass

    typedef struct {
    	GogObjectClass base;

    	/* virtual */
    	void	  (*init_style)     	(GogStyledObject *obj, GOStyle *style);

    	/* signal */
    	void (*style_changed) (GogStyledObject *obj, GOStyle const *new_style);
    } GogStyledObjectClass;

## Property Details

### The `"style"` property

      "style"                    GogStyle*             : Read / Write

A pointer to the GOStyle object.

## Signal Details

### The `"style-changed"` signal

    void                user_function                      (GogStyledObject *gogstyledobject,
                                                            GObject         *arg1,
                                                            gpointer         user_data)            : Run Last

`gogstyledobject` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.